Bug 970597 - upstream passwordless gdm pam login implementation fails in fedora
upstream passwordless gdm pam login implementation fails in fedora
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 08:44 EDT by morgan read
Modified: 2016-02-10 09:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:34:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 675780 None None None Never

  None (edit)
Description morgan read 2013-06-04 08:44:29 EDT
Description of problem:
See upstream gnome buds
https://bugzilla.gnome.org/show_bug.cgi?id=675780
https://bugzilla.gnome.org/show_bug.cgi?id=414862

Gnome gdm feature described in final paragraph here:
https://help.gnome.org/admin/gdm/stable/security.html.en#PAM
has been missed from the fedora gnome implementation.  This is despite it's apparent inclusion in redhat gdm git tree here:
https://git.gnome.org/browse/gdm/tree/data/pam-redhat/gdm.pam
at line 3.

Unfortunately, simply adding that line (or file) to /etc/pam.d/gdm and/or /etc/pam.d/gdm-password in f18 is no longer a fix as it was in f16.

Please would fedora fully implement gdm to allow this feature to work as intended.

See discussion of security issues here:
http://markmail.org/message/2h5isyf3kip6updb#query:+page:1+mid:pa6lrzmwdtbol5it+state:results

Version-Release number of selected component (if applicable):
gdm.x86_64  1:3.6.2-5.fc18

How reproducible:
Always

Steps to Reproduce:
1. Create group nopasswdlogin
2. Add user to nopasswdlogin group
3. There should not be a prompt for password at login, but there is....

Actual results:
Enter password

Expected results:
Do not enter password

Additional info:
Sorry it's taken a while to file the bug, but it was easily fixable in f16 and now it isn't in f18
Comment 1 Fedora End Of Life 2013-12-21 08:51:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:39:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 morgan read 2014-02-15 10:39:50 EST
still in f20
Comment 4 Jan Kurik 2015-12-22 06:28:05 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.